Hvilke versioner af Photoshop er kompatible med macOS Catalina?

Photoshop 21.0 og Photoshop 20.0.7 fungerer med macOS 10.15 (Catalina), men der er disse kendte kompatibilitetsproblemer. Det anbefales at beholde din nuværende version af macOS, indtil disse problemer er løst.

Adobe anbefaler generelt alle kunder at teste kompatibiliteten af nye operativsystemer på en partition, som ikke anvendes til produktion, for at sikre, at det nye system fungerer sammen med hardwaren og driverne (udskrivning osv.). 

Hvis du oplever problemer, som ikke er nævnt her, kan du give os feedback.

Er ældre versioner og eviggyldige versioner af Photoshop kompatible med macOS Catalina?

Nej, ældre versioner af Photoshop blev ikke designet til eller testet i macOS 10.15 (Catalina). De understøttes ikke på nogen måde til brug sammen med macOS Catalina.

Adobe anbefaler ikke kunder, der bruger gamle versioner af Photoshop, at opgradere til macOS Catalina.

Versioner, der ikke er kompatible (version 19.x og ældre) vises ikke på listen over ældre versioner i Creative Cloud-klientprogrammet.

Ældre versioner bruger 32-bit-komponenter til licensering og installation. Derfor kan de hverken installeres eller aktiveres efter opgradering til macOS Catalina. Opgradering til macOS Catalina, mens en ældre version allerede er installeret på computeren, resulterer muligvis i, at programmet fungerer i et eller andet omfang, men det vil hverken være muligt at geninstallere eller aktivere programmet efterfølgende.

Hvis du vil afinstallere de ældre versioner, skal du gøre det, inden du opgraderer til macOS Catalina, da afinstallationsprogrammet ikke vil fungere efter opgraderingen. Hvis du allerede har opgraderet til macOS Catalina, kan de ældre versioner fjernes vha. Creative Cloud Cleaner.

Løste problemer

Dokumentindholdet opdateres ikke, når der skiftes mellem faner, mens indholdet af andre paneler er tomt

Problem Løsning

Dokumentvinduet opdateres ikke med det rigtige billedindhold i macOS 10.15 Catalina, når der skiftes mellem faner, eller når dokumentvinduet og/eller paneler er tomme/sorte.

 

BEMÆRK: Vi samarbejder med Apple om at løse problemet.

Opdater til macOS 10.15.4

Adobe Gem til web-fejl

Når du bruger Photoshop på macOS 10.15 og vælger Filer > Eksportér > Gem til webfår du en fejl "Adobe Gem til web-fejl: Handlingen kunne ikke udføres. Der er opstået en ukendt fejl."

Midlertidig løsning

Kontrollér, at navnet på filen, som du har åben, navnet på filen, som du eksporterer fra Gem til web, og mappen, som du gemmer til, består af alfanumeriske tegn (kun tal og bogstaver) og ikke indeholder specialtegn som f.eks. # og %.

Løsning

Opdater Photoshop til den nyeste version, og opdater macOS til den seneste version.

Fejl i Adobe Gem til web: Handlingen kunne ikke udføres. Der er opstået en ukendt fejl.
Fejl i Adobe Gem til web: Handlingen kunne ikke udføres. Der er opstået en ukendt fejl.

Videogenerering starter, men bliver aldrig færdig

Når du vælger Filer > Eksportér > Generer video ..., bliver processen aldrig færdig.

Løsning

Opdater til Photoshop 21.x

Midlertidig løsning for 20.0.7 eller nyere

Åbn Systemindstillinger i Finder, og naviger til Sikkerhed & anonymitet > fanen Anonymitet > Fuld diskadgang. Klik på låseikonen i nederste venstre hjørne, og indtast brugernavnet og adgangskoden til en konto med administratorrettigheder. Klik på plusikonet, og tilføj Photoshop for at give programmet adgang til harddisken.

Sikkerhed og anonymitet

Filnavngivning fungerer ikke korrekt i dialogboksen Gem som

Ændring af filformat ændrer ikke filtypenavnet i navnefeltet i Photoshop 20.0.6.

Løsning

Opdater til Photoshop 21.x eller Photoshop 20.0.7. Filtypenavnet er skjult som standard, men vil automatisk matche det format, der er valgt i pop op-vinduet Format.

Bemærk:

Photoshop kan ikke åbne filer, hvor filtypenavnet ikke matcher filformatet, hvilket resulterer i følgende fejl:

Hvis en fil allerede er blevet gemt med et forkert filtypenavn, skal filen omdøbes, inden den åbnes i Photoshop.

Du kan læse om filtypenavne i Bestem filtypen for et dokument.

 

Slipværktøjerne fungerer ikke.

Slipværktøjet starter, men det virker ikke.

Løsning

Opdater til Photoshop 21.x eller Photoshop 20.0.7, og genskab slipværktøjer.

Apple-farvevælgeren får programmet til at gå ned

Når du vælger Indstillinger > Generelt ... og angiver farvevælgeren til "Apple," går Photoshop ned, næste gang du bruger farvevælgeren.

Løsning

Opdater til Photoshop 21.x eller Photoshop 20.0.7.

 

Andre løste problemer

Du kan læse mere i Løste problemer i oktober 2019-versionen (version 20.0.7).

Kendte kompatibilitetsproblemer

Adobe har kendskab til følgende kompatibilitetsproblemer, når Photoshop 20.0.7 eller nyere bruges sammen med macOS 10.15 (Catalina).

Markering af "Som en kopi" føjer ikke "kopi" til filnavnet

Dialogboksen Gem som

Markering af "Som en kopi" føjer ikke "kopi" til filnavnet.

Løsning

Rediger navnet manuelt, og tilføj "kopi", eller vælg et andet navn.

Bemærk:

Vi arbejder med Apple på at løse problemet.

En eksisterende fil kan ikke overskrives, når du gemmer med det samme filnavn

Photoshop gemmer en kopi i stedet for at overskrive en eksisterende fil med samme navn.

Midlertidige løsning

  • Omdøb den gemte fil manuelt og fjern "kopi" fra filnavnet.
  • Gem filen på et andet sted.

Bemærk:

Vi arbejder med Apple på at løse problemet.

Jeg kan ikke gemme data på et exFAT-formateret drev

Lagring af data på et eksternt drev formateret med exFAT går i stå, før filen er gemt.

Midlertidige løsning

  • Gem filen på et eksternt drev, der er formateret med et andet filsystem end exFAT
  • Gem filen på det lokale drev, og træk filen til det exFAT-formaterede drev vha. Finder.

Bemærk:

Vi arbejder med Apple på at løse problemet.

Ekstramoduler kan ikke findes eller kan ikke bekræftes

Ekstramoduler, der er i karantæne i macOS 10.15 (Catalina), giver en fejlmeddelelse i Photoshop om, at filen ikke findes, eller en fejlmeddelelse i operativsystemet om, at ekstramodulet ikke kan åbnes, fordi dets integritet ikke kan bekræftes.

Fejlmeddelelser om ekstramoduler

Dette gælder for ekstramoduler, der ikke er bekræftet, eller som er blevet downloadet fra internettet eller installeret vha. andre metoder, f.eks. træk og slip.

Løsning

Skaf opdaterede ekstramoduler fra tredjepartsudvikleren ekstramoduler der er blevet bekræftet til macOS 10.15. af Apple, indlæses i Photoshop uden problemer.

 

Yderligere oplysninger

Kunder, der allerede har ekstramodulet installeret, inden de opgraderer til macOS 10.15, bør ikke komme ud for dette problem.

Kunder, der opgraderer til macOS 10.15 og derefter prøver at downloade og installere et ekstramodul, kan komme ud for dette problem.

Bemærk:

De berørte ekstramoduler ser ud til at være indlæst korrekt i Hjælp > Systemoplysninger. Dette skyldes, at der under programstart kun indsamles grundlæggende oplysninger om ekstramodulet, f.eks. dets navn. Karantænefunktionen træder først i kraft, når ekstramodulet forsøges taget i brug – f.eks. af et tredjepartsfilter, eller når en fil gemmes via et tredjepartsekstramodul til filformat.

Midlertidig løsning for gamle ekstramoduler, der ikke er designet til macOS 10.15

Ældre ekstramoduler, der ikke er blevet bekræftet, kan fjernes fra karantænen af brugere med administratorrettigheder ved at køre følgende kommando, hvis ekstramodulet er installeret i mappen til Photoshop-ekstramoduler:

sudo xattr -r -d com.apple.quarantine /Applications/Adobe\ Photoshop\ 2019/Plug-ins/<plug-in-name>

Hvis ekstramodulet er installeret i den delte mappe til Creative Cloud-ekstramoduler, skal der bruges følgende kommando:

sudo xattr -r -d com.apple.quarantine /Library/Application\ Support/Adobe/Plug-Ins/CC/<plug-in-name>

 

Sådan undersøger du, om et ekstramodul er i karantæne

Du kan undersøge, om et ekstramodul er i karantæne, vha. en Terminal-kommando.

Eksempel, når ekstramodulet er i mappen til Photoshop-ekstramoduler:

% ls -l@ /Applications/Adobe\ Photoshop\ 2019/Plug-ins/<plug-in-name>/

Eksempel, når ekstramodulet er i den delte mappe til Creative Cloud-ekstramoduler:

% ls -l@ /Library/Application\ Support/Adobe/Plug-Ins/CC/<plug-in-name>/

 Bemærk: <plug-in-name> skal erstattes med navnet på det ekstramodul, du vil kontrollere

Dette giver følgende:

total 0
drwxr-xr-x@ 6 <username> wheel 192 Sep 26 15:11 Contents
com.apple.quarantine 22 

"com.apple.quarantine 22" betyder, at ekstramodulet er i karantæne.

Bemærk: Du kan kontrollere, hvor de forskellige ekstramoduler normalt er installeret, i Find ekstramodulmapper.

Lens Profile Creator virker ikke

Programmet Lens Profile Creator findes i øjeblikket kun i en 32-bit-version. Vi undersøger, om det kan opdateres til 64-bit.

Camera Raw

Viskelæderværktøjet virker ikke med justeringspenslen

Når du har valgt viskelæderfunktionen i justeringspenslen, deaktiveres viskelæderet, så snart du bruger penslen, og der bruges justeringsfunktionen i stedet.

Løsning

Vores udviklere er i gang med at undersøge problemet.

Når du trykker på Ny, når du bruger en justeringspensel, tilføjes penslen til den tidligere valgte pensel

Når du trykker på Ny, mens du bruger en justeringspensel, udføres de efterfølgende penselstrøg vha. den tidligere valgte justeringspensel i stedet for en ny pensel.  

Midlertidig løsning

Det er muligt at klikke på et andet værktøj og derefter tilbage på justeringspenslen for at tilføje en ny pensel. 

Løsning

Vores udviklere er i gang med at undersøge problemet.

Der kan ikke anvendes pensel på en farveforløbsjustering

Når du opretter en farveforløbsjustering,  kan du ikke vælge en pensel for at redigere farveforløbet

Løsning

Vores udviklere er i gang med at undersøge problemet.

Indersiden af en radialjustering kan ikke vælges

Det er ikke muligt at vælge indersiden af en radialjustering. Når du opretter en radialjustering med ydersiden valgt. Det er ikke muligt at skifte til indersiden af justeringen

Løsning

Vores udviklere er i gang med at undersøge problemet.

ExtendScript Toolkit virker ikke

ExtendScript Toolkit er et 32-bit-program, så det fungerer ikke længere i macOS 10.15.

Løsning

ExtendScript Toolkit er blevet erstattet med ExtendScript Debugger 1.1.0.

Programmet går ned, når der vælges mørkt tema kun for menuer og Dock vha. en terminal-kommando